import React, { Component } from 'react';
import { createAppContainer} from 'react-navigation';
import { createStackNavigator } from 'react-navigation-stack'
import Splash from './src/splash';
import NavigationRouter from './src/Navigation/NavigationRouter';
const RootStack = createStackNavigator(
  {
    Splash: { 
          screen: Splash,
          navigationOptions: {
              header: null,
          },
        },
  
        NavigationRouter: { 
              screen: NavigationRouter,
              navigationOptions: {
                  header: null,
              },
            },
          },
  {
    initialRouteName: 'Splash',
  }
);

const AppContainer = createAppContainer(RootStack);

export default class App extends Component {
  render() {
    return <AppContainer />;
  }
}