/*
FileName:UserRoadblock.js
Version:1.0.0
Purpose:Getting the List of all the lsit of roadblock  list 
Devloper:Mahesh Reddy
*/

import React, { Component } from 'react';
import { Platform, StyleSheet, Text, View, StatusBar, Dimensions, Image } from 'react-native';
import { Title, Icon, Button, Container, Content, Header, Right, Left, Body, Tab, Tabs, TabHeading, Footer, Item, Input, FooterTab } from 'native-base';
import TobeAssigned from './UserRoadblocksTobeAssigned';
import Assigned from './UserRoadblocksAssigned';

// import Icon from 'react-native-vector-icons/FontAwesome';
import { MANAGEROADBLOCKS, TOBEASSIGNED, ASSIGNED } from '../CommonComponents/Header'


export default class UserRoadblock extends Component {
  render() {
    return (

      <Container>
        <Header
          androidStatusBarColor="#00A2C1"
          style={{
            backgroundColor: '#00A2C1',
            height: 60,
            width: Dimensions.get('window').width,
            borderBottomColor: '#ffffff',
            justifyContent: 'space-between',
          }}>
          {/* <Left>
          <Icon name="bars" size={25} style={{ color: '#fff',}} onPress={() =>
            this.props.navigation.toggleDrawer()} />
          </Left> */}
          <View style={{ marginTop: 20 }}>
            <Icon name="md-menu" size={25} style={{ color: 'white', }} onPress={() =>
              this.props.navigation.toggleDrawer()} />
          </View>

          <View style={{ width: 300, borderRadius: 20, height: 45, marginTop: 5, flexDirection: 'row' }}>
            <Text style={{ color: '#fff', fontWeight: '600',marginTop: 20, }}>{MANAGEROADBLOCKS}</Text>
          </View>
          {/* <Body>
            <Title style={{ color: '#fff', fontWeight: '600' }}>{MANAGEROADBLOCKS}</Title>

          </Body> */}

        </Header>




        <Tabs tabBarUnderlineStyle={{ borderBottomWidth: 0 }}>
          <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>{TOBEASSIGNED}</Text></TabHeading>}>
            <TobeAssigned navigation={this.props.navigation} />
          </Tab>

          <Tab heading={<TabHeading style={{ backgroundColor: '#00A2C1' }}><Text style={{ color: '#fff' }}>{ASSIGNED}</Text></TabHeading>}>
            <Assigned navigation={this.props.navigation} />
          </Tab>
        </Tabs>
      </Container>
    );
  }
}